<?php

/*
=====================================================================

  프로젝트 이름 : 피리 카페 심플

  만든사람 : 피리 PIREE ( tosports@naver.com )

  홈페이지 : https://piree.kr/nett_dev

  작성날짜 : 2024년 04월 30일 화요일 오전 01시 48분 / 흐림, 15.8, 일교차 주의, 23, 12, 16%, 0%, 0.4ms / 보통, 38, 25

  저 작 권 : Copyright ⓒ 2024 피리 piree.kr All right reserved
              그누보드 외에 추가된 소스는~
              만든사람의 허락없이 무단으로 사용할수 없습니다.
              사용하고자 할 경우 만든사람의 허락을 받아야 합니다.
              http://.piree.kr 에 문의해 주세요.

=====================================================================
 피리 카페 심플 > 프로그램 > 내 카페 > 회원 목록 보기
=====================================================================


*/

  include_once('./_common.php');

  $member_login_only_n = 1;

  include_once( "./_CAFE.INFO.CHECK.inc.php" );

  IF ( $piree_cafe_a['cafe_member_view_level_n'] > 0 && $piree_cafe_a['cafe_member_view_level_n'] > $cafe_member_a['cafe_mem_level_n'] )
  {
    alert("카페의 회원 목록 보기는 카페 회원 레벨 [ ". $piree_cafe_a['cafe_member_view_level_n'] ." ] 이상부터 가능 합니다.\\n\\n회원님의 이 카페 회원 레벨은 [ ". $cafe_member_a['cafe_mem_level_n'] ." ] 입니다.");
  }

  IF ( $piree_cafe_a['cafe_member_view_info_open_n'] == 1 )
  {

    IF ( $member['mb_open'] != 1 )
    {

      alert("[ 회원 정보 ]를 공개해야만 회원 목록을 볼수 있습니다.", cafe_index_go($piree_cafe_n));

    }

  }

  $member_list_page_url = piree__url($piree_prog_a[770099]['num'], 'member.list.php' ) .'?piree_cafe_n='. $piree_cafe_n;

  $cafe_member_view_t++;

  $cafe_member_list_a = array();

  IF ( $piree_cafe_a['cafe_member_t'] > 0 )
  {

      $rows_n = $config['cf_page_rows'];

      $total_page = ceil($piree_cafe_a['cafe_member_t'] / $rows_n);

      IF ( !$page || $page < 1 )                  $page = 1;

      $start_record_n = ($page - 1) * $rows_n;

      $list_pages = get_paging(G5_IS_MOBILE ? $config['cf_mobile_pages'] : $config['cf_write_pages'], $page, $total_page, $member_list_page_url);

      $sql_select  = "SELECT * FROM `". $piree['cafe_member'] ."` ";
      $sql_select .= "WHERE `cfml_cafe_n`= '". $piree_cafe_n ."' ";
      $sql_select .= "ORDER BY `cfml_row_n` DESC LIMIT ". $start_record_n .", ". $rows_n;
      $result = sql_query($sql_select);

      WHILE ( $row = sql_fetch_array($result) )
      {

          $loop_member_n = $row['cfml_row_n'];

          $cafe_member_list_a[$loop_member_n] = $row;

          $cafe_member_view_t++;

      }

  }

  $page_code_c = 'member.list.view';

  $g5['title'] = $piree_cafe_name_s ." > 회원 목록 보기";

  include_once( get_cafe_skin_file('path', 'basic', '_head.sub.php') );

  include_once( get_cafe_skin_file('path', 'basic', '_head.skin.php') );

  include_once( get_cafe_skin_file('path', 'basic', 'member.list.skin.php') );

  include_once( get_cafe_skin_file('path', 'basic', '_tail.skin.php') );

  include_once( get_cafe_skin_file('path', 'basic', '_tail.sub.php') );

?>